#include "IntegRK.h"

void IntegRK::integ(Obj& o,function<Vect(double,Vect,Vect)> const& f){
    Vect k1(o.getdx());
    Vect k1_(f(t,o.getX(),o.getdx()));

    Vect k2(o.getdx() + (dt/2)*k1_);
    Vect k2_(f(t+(dt/2) , o.getX() + (dt/2)*k1 , o.getdx() + (dt/2)*k1_));

    Vect k3(o.getdx() + (dt/2)*k2_);
    Vect k3_(f(t+(dt/2) , o.getX() + (dt/2)*k2 , o.getdx() + (dt/2)*k2_));

    Vect k4(o.getdx() + dt*k3_);
    Vect k4_(f(t+dt , o.getX() + dt*k3 ,o.getdx() + dt*k3_));

    o.setX(o.getX() + (dt/6)*(k1 + 2*k2 + 2*k3 + k4));
    o.setdx(o.getdx() + (dt/6)*(k1_ + 2*k2_ + 2*k3_ + k4_));

    //MOMENT
};


