#include "Pendule.h"

Pendule::Pendule(Vect const& pos, Vect const& Mpos, double k, double poid):pt(pos),mass(Mpos){
    s.setk1(k);
    s.setObj1(pt);
    s.setObj2(mass);
    s.setL0( (mass.getX()-pt.getX())||true );
    mass.setM(poid);
}

void Pendule::update(){
    mass.setF0();
    s.force();
    mass.addF({0,0,-mass.getM()*9.81});
    mass.update();
}

