

#include "Universe.h"
#include "Camera.h"
#include "OpenGLView.h"

class GUI : public wxApp{public:bool OnInit();};


int OpenGLView::TIMER_ID(12);


BEGIN_EVENT_TABLE(OpenGLView, wxGLCanvas)
	EVT_PAINT( OpenGLView::draw)
	EVT_SIZE( OpenGLView::OnSize)

	EVT_LEFT_DOWN( OpenGLView::OnMouseButton)
	EVT_LEFT_UP( OpenGLView::OnMouseButton)
	EVT_RIGHT_DOWN( OpenGLView::OnMouseButton)
	EVT_RIGHT_UP( OpenGLView::OnMouseButton)
	EVT_MIDDLE_DOWN( OpenGLView::OnMouseButton)
	EVT_MIDDLE_UP( OpenGLView::OnMouseButton)
	EVT_MOUSEWHEEL(OpenGLView::OnMouseButton)
	EVT_MOTION( OpenGLView::OnMouseMotion)

	EVT_KEY_DOWN( OpenGLView::OnKeyDown)
	EVT_KEY_UP( OpenGLView::OnKeyUp)
	EVT_ENTER_WINDOW( OpenGLView::OnEnterWindow)
	EVT_TIMER(TIMER_ID, OpenGLView::OnTimer)
END_EVENT_TABLE()



BEGIN_EVENT_TABLE(Fenetre, wxFrame)
	EVT_MENU( wxID_EXIT, Fenetre::OnExit )
END_EVENT_TABLE()

// ======================================================================

bool GUI::OnInit(){
	Fenetre* f = new Fenetre(wxT("Pr0j3t 1nF0rm@tiqu3 M4Ph 2011-2012"), wxSize(800, 600));
	SetTopWindow(f);
	return (f != 0);
}

IMPLEMENT_APP(GUI)


