#include "String3d.h"

ostream& String3d::cdisp(ostream& out){return out<<text<<endl;}

void String3d::disp(vector<bool> options){
	//toLowerCase
	for(int i=0; i < text.size(); ++i){
		text[i] = std::tolower(text[i]);
	}
	
	double dist=0.5;
	dist=50*size;
	glPushMatrix();//initialise ecriture
		//glRotated(rho,1,0,0);
		glTranslated(rho,0,0);
		//glRotated(theta, 0.0, 1.0, 0.0);
		glTranslated(0,0,theta);
		glRotated(phi, 0.0, 0.0, 1.0);
		glTranslated(dist,0,0);
	

	
	int charCount(0);
	for(size_t i=0;i<text.size();i++){
			
			
		//deplace le curseur
		//glRotated(rho,1,0,0);
		glTranslated(-dist,0,0);
		glRotated(-size/dist*360/2./PI *3/2 , 0.0, 0.0, 1.0);
		glTranslated(dist,0,0);
		charCount++;
		if (text[i] == '\n' ){
			glTranslated(-dist,0,0);
			glRotated(+charCount*size/dist*360/2./PI *3/2 , 0.0, 0.0, 1.0);//revient au dbut de la ligne
			//glRotated(size/dist*360/2./PI *3/2 , 0.0, 1.0, 0.0);
			glTranslated(0,0,-size*1.5);///dist*.75);
			glTranslated(dist,0,0);
			
			charCount=0;
		}
		else if (text[i] == 'a' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == 'b' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		
		}
		else if (text[i] == 'c' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == 'd' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == 'e' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == 'f' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == 'g'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
		}
		else if (text[i] == 'h'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == 'i' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2,size);
			glEnd();
		}
		else if (text[i] == 'j' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == 'k'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == 'l' ){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
			glEnd();
		}
		else if (text[i] == 'm'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
		}
		else if (text[i] == 'n'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == 'o'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == 'p'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size/2);
			glEnd();
		}
		else if (text[i] == 'q'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == 'r'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size/2);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,size/2);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == 's'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/4);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,3.*size/4.);
			glEnd();
		}
		else if (text[i] == 't'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == 'u'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == 'v'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == 'w'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
		}
		else if (text[i] == 'x'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,size);
			glEnd();
		}
		else if (text[i] == 'y'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == 'z'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == '?'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
			glBegin(GL_POINTS);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == '!'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
			glBegin(GL_POINTS);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == '.'){
			glBegin(GL_POINTS);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == ','){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2+size/4,-size/4);
			glEnd();
		}
		else if (text[i] == ':'){
			glBegin(GL_POINTS);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2,size);
			glEnd();
		}
		else if (text[i] == '-'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == '('){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size/2,3*size/4);
				glVertex3d(0,size-size/2,1*size/4);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == ')'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size/2,3*size/4);
				glVertex3d(0,size-size/2,1*size/4);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == '+'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size/2,0);
				glVertex3d(0,size-size/2,size);
			glEnd();
		}
		else if (text[i] == '_'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == '0'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == '1'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,0);
			glEnd();
		}
		else if (text[i] == '2'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == '3'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size/2,size/2);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == '4'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
			glEnd();
		}
		else if (text[i] == '5'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == '6'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size/2);
			glEnd();
		}
		else if (text[i] == '7'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == '8'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,0);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == '9'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,size/2);
			glEnd();
		}
		else if (text[i] == '/'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-0,0);
			glEnd();
		}
		else if (text[i] == '\\'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,size);
			glEnd();
		}
		else if (text[i] == '<'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size,size);
			glEnd();
		}
		else if (text[i] == '>'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-size,size/2);
				glVertex3d(0,size-0,size);
			glEnd();
		}
		else if (text[i] == '='){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/3.);
				glVertex3d(0,size-size,size/3);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,2.*size/3.);
				glVertex3d(0,size-size,2.*size/3.);
			glEnd();
		}else if (text[i] == '='){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size,size/2);
			glEnd();
			
		}else if (text[i] == '^'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size/2);
				glVertex3d(0,size-size/2,size);
				glVertex3d(0,size-size,size/2);
			glEnd();
			
		}else if (text[i] == '@'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,0);
				glVertex3d(0,size-0,size);
				glVertex3d(0,size-size,size);
				glVertex3d(0,size-size,0);
				glVertex3d(0,size-size/3,0);
				glVertex3d(0,size-size/3,size*2./3.);
				glVertex3d(0,size-size,size*2./3.);
			glEnd();
			
		}else if (text[i] == '#'){
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size*1./4,0);
				glVertex3d(0,size-size*1./4,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-size*3./4,0);
				glVertex3d(0,size-size*3./4,size);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size*1./4);
				glVertex3d(0,size-size,size*1./4);
			glEnd();
			glBegin(GL_LINE_STRIP);
				glVertex3d(0,size-0,size*3./4);
				glVertex3d(0,size-size,size*3./4);
			glEnd();
			
		}
		else {
		
		}

	}
	glPopMatrix();
}

void String3d::set(string const& newText){text=newText;}



//CONSTR---
String3d::String3d(string const& text,double const& theta, double const& phi, double const& rho,double size):text(text),rho(rho),phi(phi),theta(theta),size(size){}




