#include "IntegEulerC.h"

void IntegEulerC::integ(MObj& o,function<Vect(double,Vect,Vect)> const& f){
    o.setdx(o.getdx() + dt * f(t,o.getX(),o.getdx())/o.getM());
    o.setX(o.getX() + dt * o.getdx());

};
void IntegEulerC::integ(SObj& o,function<Vect(double,Vect,Vect)> const& f){
    integ((MObj&)o,f);
    //!!!!MOMENT !!!
}

void IntegEulerC::integ(MObj& o,Vect const& f){
    o.setdx(o.getdx() + dt * f);
    o.setX(o.getX() + dt * o.getdx());
    //Moment
}