#include "ObjM.h"

void ObjM::update(double const& deltaT){
    setdx( getdx() + deltaT*getF()/getM() );
    setX( getX() + deltaT*getdx() );
}

ostream& operator<<(ostream& out, ObjM obj){
    return obj.cdisp(out);
}

void ObjM::disp(){
    //!DISPLAY OPEN GL
}

//CONSTR---
ObjM::ObjM(Vect const& x, double const& mass, Vect const& dx):
    ObjS(x,mass,{},dx,{}) {}
