#include "Spring.h"

void SpringBreak::force(){
    double dist( ((*obj2).getX()-(*obj1).getX())||true );//distance entre les 2 obj
    double norm( k1*(dist-l0) );
    if(norm<=fmax){
        Vect f( norm* ((*obj2).getX()-(*obj1).getX()) / dist);
        (*obj1).addF(f);
        (*obj2).addF(-f);
    }
    else{
        breakMe();
    }
}

void SpringBreak::breakMe(){
    (*parent).delF(me);
}

SpringBreak::SpringBreak(System& parent, size_t me,Obj& obj1, Obj& obj2,double const& k,double const& l,double const& fmax):
    Spring(obj1,obj2,k,l),parent(&parent), me(me), fmax(fmax){}
