#include "main_test.h"

void testBall(){
    Ball b(3,0.5,10);
    cout<<b;

    b.setR(30);
    cout<<"rayon = 30"<<endl;
    b.setM(2000);
    cout<<"mass = 2000"<<endl;
    b.setdx({1,2,3});
    cout<<"dx = 1,2,3"<<endl;
    b.setX({1,2,3});
    cout<<"x = 1,2,3"<<endl;
    cout<<b;

    VectField f({1000,1,1});
    f.act(b);
    b.update();
    cout<<b;

    b.setX({6,6,6});
    cout<<b;

    int CONT=1;
    string a;
    while(CONT!=0){
        for(int i=0;i<CONT;i++) b.update();
        cout<<b;
        cout<<"tapez le nb de boucle, 0=exit"<<endl;
        cin>>CONT;
    }
}

void disp(vector<Ball>& v,vector<VectField>& f){
    for(size_t i=0;i<v.size();i++){
        cout<<endl;
        cout<<"BALL "<<i<<endl;
        v[i].setF0();
        for(size_t j=0;j<f.size();j++){
            f[j].act(v[i]);
        }
        v[i].update();
        cout<<v[i];
    }
}

Vect newVect(){
    size_t dim=0;
    cout<<"dim :";
    cin>>dim;
    Vect v(dim);
    double temp(0);
    for(size_t i=0;i<dim;i++){
        cout<<"composante "<<i<<" :";
        cin>>temp;
        v.set(i,temp);
    }
    return v;
}

Ball newBall(){
    cout<<"x :";
    Vect x(newVect());
    cout<<"dx :";
    Vect dx(newVect());
    double r;
    double mass;
    double c;
    cout<<"rayon :"; cin>>r;
    cout<<"mass  :"; cin>>mass;
    cout<<"charg :"; cin>>c;
    return Ball(x,dx,r,mass);
}

VectField newFF(){
    cout<<"force :";
    return VectField(newVect());
}

void testBall2(){
    unsigned int CHOIX=0;
    vector<Ball> v;
    vector<VectField> f;
    do{
        cout<<endl;
        cout<<"0 Exit"<<endl;
        cout<<"1 pour creer une balle"<<endl;
        cout<<"2 pour creer un champ de force"<<endl;
        cout<<"3 pour maj + afficher"<<endl;

        cin>>CHOIX;
        cout<<endl;

        switch(CHOIX){
            case 1: v.push_back(newBall());break;
            case 2: f.push_back(newFF());break;
            case 3: disp(v,f);break;
            default:CHOIX=0;break;
        }
    }while(CHOIX!=0);

}
