#include "main_test.h"

Matrix newMatrix();
void disp(vector<Matrix> const&);
void operation(vector<Matrix>&);

void testMatrix(){
    int choix=0;
    bool continuer=true;
    vector<Matrix> tab;
    do{
        cout<<"0 Exit"<<endl;
        cout<<"1 new Matrix in MatrixTab"<<endl;
        cout<<"2 dispMatrixTab"<<endl;
        cout<<"3 operations"<<endl;
        cin>>choix;
        switch(choix){
            case 0: continuer=false; break;
            case 1: tab.push_back(newMatrix());break;
            case 2: disp(tab);break;
            case 3: operation(tab);break;
            default:continuer=false;break;
        }
    }while(continuer);
}

Matrix newMatrix(){
    size_t i,j;
    double temp;
    cout<<"dim i :";
    cin>>i;
    cout<<"dim j :";
    cin>>j;

    Matrix result(i,j);

    for(size_t ii=0;ii<i;ii++){
        for(size_t jj=0;jj<j;jj++){
            cout<<"Matrix["<<ii<<"]["<<jj<<"] :";
            cin>>temp;
            result.set(ii,jj,temp);
        }
    }
    return result;
}

void disp(vector<Matrix> const& tab){
    for(size_t i=0;i<tab.size();i++){
        cout<<endl;
        cout<<"Matrix "<<i<<endl;
        tab[i].disp(cout);
    }
}

void det(vector<Matrix> tab){
    disp(tab);
    size_t i;
    cout<<"choose Matrix : ";
    cin>>i;
    cout<<"DET : "<<tab[i].det()<<endl;
}
void mult(vector<Matrix>& tab){
    disp(tab);
    size_t i,j;
    cout<<"choose Matrix 1 : ";
    cin>>i;
    cout<<"choose Matrix 2 : ";
    cin>>j;
    (tab[i]*tab[j]).disp(cout);
}
void multScal(vector<Matrix>& tab){
    double nb=0;
    size_t i=0;

    cout<<"number : ";
    cin>>nb;

    disp(tab);
    cout<<"choose Matrix : ";
    cin>>i;

    (nb*tab[i]).disp(cout);
}
void add(vector<Matrix>& tab){
    size_t i,j;
    disp(tab);
    cout<<"choose Matrix 1 : ";
    cin>>i;
    cout<<"choose Matrix 2 : ";
    cin>>j;
    (tab[i]+tab[j]).disp(cout);
}
void sub(vector<Matrix>& tab){
    size_t i,j;
    disp(tab);
    cout<<"choose Matrix 1 : ";
    cin>>i;
    cout<<"choose Matrix 2 : ";
    cin>>j;
    (tab[i]-tab[j]).disp(cout);
}
void booltest(vector<Matrix>& tab){
    size_t i,j;
    disp(tab);
    cout<<"choose Matrix 1 : ";
    cin>>i;
    cout<<"choose Matrix 2 : ";
    cin>>j;
    cout<<" == is : "<< (tab[i]==tab[j]) <<endl;
}
void inv(vector<Matrix>& tab){
    size_t i;
    disp(tab);
    cout<<"choose Matrix 1 : ";
    cin>>i;

    tab[i].updateInv();
    tab[i].getInv().disp(cout);
}
void transp(vector<Matrix>& tab){
    disp(tab);
    size_t i=0;
    cout<<"choose Matrix : ";
    cin>>i;
    tab[i].transpose().disp(cout);
}
void min(vector<Matrix>& tab){
    size_t i,j,k;
    disp(tab);
    cout<<"choose Matrix : ";
    cin>>i;
    cout<<"choose i : ";
    cin>>j;
    cout<<"choose j : ";
    cin>>k;

    tab[i].min(i,j).disp(cout);
}
void multVect1(vector<Matrix>& tab){
    disp(tab);
    size_t i;
    cout<<"choose Matrix : ";
    cin>>i;

    Vect v(tab[i].getDimj());
    double temp;
    cout<<"Vect : "<<endl;
    for(size_t j=0;j<v.getDim();j++){
        cout<<"   comp "<<j<<" : ";
        cin>>temp;
        v.set(j,temp);
    }

    cout<<"m * v = "<<(tab[i]*v);
}
void multVect2(vector<Matrix>& tab){
    disp(tab);
    size_t i;
    cout<<"choose Matrix : ";
    cin>>i;

    Vect v(tab[i].getDimj());
    double temp;
    cout<<"Vect : "<<endl;
    for(size_t j=0;j<v.getDim();j++){
        cout<<"   comp "<<j<<" : ";
        cin>>temp;
        v.set(j,temp);
    }

    cout<<"m * v "<<endl<<(v*tab[i]);
}

void operation(vector<Matrix>& tab){
    bool continuer=true;
    int choix=0;
    do{
        cout<<"00 Exit operation"<<endl;
        cout<<"01 Matrix * Matrix"<<endl;
        cout<<"02 Matrix * Number"<<endl;
        cout<<"03 Matrix + Matrix"<<endl;
        cout<<"04 Matrix - Matrix"<<endl;
        cout<<"05 Matrix == Matrix"<<endl;
        cout<<"06 Invert"<<endl;
        cout<<"07 Transpose"<<endl;
        cout<<"08 mineur(i,j)"<<endl;
        cout<<"09 det"<<endl;
        cout<<"10 Matrix*Vect"<<endl;
        cout<<"11 Vect*Matrix"<<endl;
        cin>>choix;

        switch(choix){
            case 0: continuer=false; break;
            case 1: mult(tab);break;
            case 2: multScal(tab);break;
            case 3: add(tab);break;
            case 4: sub(tab);break;
            case 5: booltest(tab);break;
            case 6: inv(tab);break;
            case 7: transp(tab);break;
            case 8: min(tab);break;
            case 9: det(tab);break;
            case 10:multVect1(tab);break;
            case 11:multVect2(tab);break;
            default:continuer=false;break;
        }

    }while(continuer);
}


